<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iRewardType Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iRewardType Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iRewardType" --><!-- doxytag: inherits="iBase" -->
<p>The reward type is responsible for the creation of reward factories.  
 <a href="structiRewardType.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="rewards_8h_source.html">tools/rewards.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iRewardType:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiRewardType.png" usemap="#iRewardType_map" alt=""/>
  <map id="iRewardType_map" name="iRewardType_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,86,24"/>
</map>
 </div></div>

<p><a href="structiRewardType-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPtr.html">csPtr</a>&lt; <a class="el" href="structiRewardFactory.html">iRewardFactory</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiRewardType.html#a23eccf4acbd4438186323723a92f1f32">CreateRewardFactory</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a reward factory.  <a href="#a23eccf4acbd4438186323723a92f1f32"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiRewardType.html#aa663928e387869fc269a6c0f4d15d1c8">GetName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the name for this reward type.  <a href="#aa663928e387869fc269a6c0f4d15d1c8"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>The reward type is responsible for the creation of reward factories. </p>
<p>If you want to define a new type of reward then you must implement iQuestRewardType, iQuestRewardFactory, and iQuestReward. You register reward types with the quest manager so that they can be used by quest factories. </p>

<p>Definition at line <a class="el" href="rewards_8h_source.html#l00077">77</a> of file <a class="el" href="rewards_8h_source.html">rewards.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a23eccf4acbd4438186323723a92f1f32"></a><!-- doxytag: member="iRewardType::CreateRewardFactory" ref="a23eccf4acbd4438186323723a92f1f32" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPtr.html">csPtr</a>&lt;<a class="el" href="structiRewardFactory.html">iRewardFactory</a>&gt; <a class="el" href="structiRewardType.html#a23eccf4acbd4438186323723a92f1f32">iRewardType::CreateRewardFactory</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a reward factory. </p>

</div>
</div>
<a class="anchor" id="aa663928e387869fc269a6c0f4d15d1c8"></a><!-- doxytag: member="iRewardType::GetName" ref="aa663928e387869fc269a6c0f4d15d1c8" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiRewardType.html#aa663928e387869fc269a6c0f4d15d1c8">iRewardType::GetName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the name for this reward type. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="rewards_8h_source.html">rewards.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
